"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClientSessionExpiredError = void 0;
const container_definitions_1 = require("@fluidframework/container-definitions");
const telemetry_utils_1 = require("@fluidframework/telemetry-utils");
/**
 * Error indicating that a client's session has reached its time limit and is closed.
 */
class ClientSessionExpiredError extends telemetry_utils_1.LoggingError {
    constructor(message, expiryMs) {
        super(message, { timeoutMs: expiryMs });
        this.expiryMs = expiryMs;
        this.errorType = container_definitions_1.ContainerErrorTypes.clientSessionExpiredError;
    }
}
exports.ClientSessionExpiredError = ClientSessionExpiredError;
//# sourceMappingURL=error.js.map