/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { IFluidErrorBase, LoggingError } from "@fluidframework/telemetry-utils";
/**
 * Error indicating that a client's session has reached its time limit and is closed.
 */
export declare class ClientSessionExpiredError extends LoggingError implements IFluidErrorBase {
    readonly expiryMs: number;
    readonly errorType: "clientSessionExpiredError";
    constructor(message: string, expiryMs: number);
}
//# sourceMappingURL=error.d.ts.map